Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoTransformSeparator Class Reference
[Nodes]

`#include <Inventor/nodes/SoTransformSeparator.h>`

Inheritance diagram for SoTransformSeparator:

List of all members.

## Detailed Description

The SoTransformSeparator class is a group node preserving the current transformations.

This node works like the SoSeparator group node, except that it only stores and restores the current model matrix transformation. Other appearance settings, like materials, textures, cameras, lights, etc, will affect the remaining parts of the scenegraph after traversal, just like as for the SoGroup node.

See also:
  SoSeparator, SoGroup

## Public Member Functions
| SoTransformSeparator (void)
| SoTransformSeparator (int nChildren)
virtual void | doAction (SoAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | pick (SoPickAction *action)
virtual void | getBoundingBox (SoGetBoundingBoxAction *action)
virtual void | getMatrix (SoGetMatrixAction *action)
virtual void | getPrimitiveCount (SoGetPrimitiveCountAction *action)
virtual void | audioRender (SoAudioRenderAction *action)
## Static Public Member Functions
void | initClass (void)
## Protected Member Functions
virtual | ~SoTransformSeparator ()

## Constructor & Destructor Documentation

SoTransformSeparator::SoTransformSeparator | ( | void |  | ) |

| Default constructor.

SoTransformSeparator::SoTransformSeparator | ( | int | nChildren | ) |

| Constructor. The argument should be the approximate number of children which is expected to be inserted below this node. The number need not be exact, as it is only used as a hint for better memory resource allocation.

SoTransformSeparator::~SoTransformSeparator | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoTransformSeparator::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoGroup.

void SoTransformSeparator::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoGroup.

void SoTransformSeparator::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoGroup.

void SoTransformSeparator::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoGroup.

void SoTransformSeparator::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoGroup.

void SoTransformSeparator::getBoundingBox | ( | SoGetBoundingBoxAction * | action | ) | `[virtual]`

| Action method for the SoGetBoundingBoxAction. Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node. Nodes influencing how geometry nodes calculates their bounding box also overrides this method to change the relevant state variables. Reimplemented from SoGroup.

void SoTransformSeparator::getMatrix | ( | SoGetMatrixAction * | action | ) | `[virtual]`

| Action method for SoGetMatrixAction. Updates action by accumulating with the transformation matrix of this node (if any). Reimplemented from SoGroup.

void SoTransformSeparator::getPrimitiveCount | ( | SoGetPrimitiveCountAction * | action | ) | `[virtual]`

| Action method for the SoGetPrimitiveCountAction. Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action. Nodes influencing how geometry nodes calculates their primitive count also overrides this method to change the relevant state variables. Reimplemented from SoGroup.

void SoTransformSeparator::audioRender | ( | SoAudioRenderAction * | action | ) | `[virtual]`

| Action method for SoAudioRenderAction. Does common processing for SoAudioRenderAction action instances. Reimplemented from SoGroup.

The documentation for this class was generated from the following files:

- SoTransformSeparator.h
- SoTransformSeparator.cpp